### Class

# Foundry GirNode

#### Description [src]

    final class Foundry.GirNode : GObject.Object
    {
      /* No available fields */
    }

Represents a node in a GObject Introspection Repository (GIR) file.

FoundryGirNode provides functionality for representing and manipulating nodes in GIR files including attributes, children, and content. It supports hierarchical navigation and provides efficient access to GIR data for development tools and documentation generation.

#### Ancestors

- GObject

#### Constructors

###### foundry_gir_node_new

No description available.

#### Functions

###### foundry_gir_node_type_to_string

No description available.

#### Instance methods

###### foundry_gir_node_find_child

No description available.

###### foundry_gir_node_get_attribute

No description available.

###### foundry_gir_node_get_children

Gets a list of children of this node in the Gir file.

###### foundry_gir_node_get_content

No description available.

###### foundry_gir_node_get_name

No description available.

###### foundry_gir_node_get_node_type

No description available.

###### foundry_gir_node_get_parent

No description available.

###### foundry_gir_node_get_tag_name

No description available.

###### foundry_gir_node_has_attribute

No description available.

###### foundry_gir_node_list_attributes

Gets the keys of the node.

###### foundry_gir_node_list_children_typed

Collects all of the children that match `type`.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct FoundryGirNodeClass {
      GObjectClass parent_class;

    }

No description available.

###### Class members

`parent_class: GObjectClass`

  No description available.